#ifndef _ENTRY_H
#define _ENTRY_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define CRYPTKEY        "XHU7wSIv8f3h5tpmx6G1kCubtpFegXhO"
#define CRYPTFLAGS      ROUNDRESULT | NONREPETITION | ENSUREOFFSET
#define MAX_STATUS_TEXT 10240
#define SENDBUFSZ       4096
#define RECVBUFSZ       5120

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <SQL.H>

#include "../../SharedSource/Debug.H"

#include "../../SharedClasses/NASCCL/NASCCL.H"
#include "../../SharedClasses/SQLClass/cRecordSet.H"
#include "../../SharedClasses/SQLClass/cSQL.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

extern HINSTANCE ghAppInstance;

extern char gsAppCopyRight[64];
extern char gsFileVersion[32];
extern char gsTitleCaption[64];
extern char gsRegistryKey[255];

extern bool gbIsMainDialogOpen;
extern bool gbDebugMode;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

int StartRoutine(char *sCmdLine);
bool MainEntry(void);
bool WaitOnApplicationToExit(void);
int ProcessCommandLine(char *sCmdLine);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

struct _MainDialogInfo{
	HWND LogList_hWnd;
	HWND StatusBar_hWnd;
	HMENU Menu_hWnd;
}; extern _MainDialogInfo MDI;

extern NASCCL gCrypt;

struct _ConnectedClientInfo{
	int iThisClient;
	bool bIsAuthenticated;
	bool bIsEncryptionInit;
	bool bCustDBConnected;
	bool bUseCompression;
	NASCCL cNASCCL;

	char sOnSuccess[2048 + 1];
	char sOnFailure[2048 + 1];

    HSTMT hStatementHandle;

	CSQL cCustSQL;
	CRecordSet rsTrans;

}; extern _ConnectedClientInfo CCI;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

