#ifndef _Common_CPP
#define _Common_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <ShlObj.H>
#include <Stdio.H>
#include <ShlOBJ.H>
#include <Stdlib.H>

#include "Debug.H"
#include "NSWFL.H"
#include "Common.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

char *FormatiString(char *outStr, char *inStr)
{
    int RPos = strlen(inStr) - 1;
    int WPos = 0;
    int DPos = 0;

    if(RPos < 3)
    {
        strcpy(outStr, inStr);
        return outStr;
    }

    while(RPos != -1)
    {
        if(DPos == 3)
        {
            outStr[WPos] = ',';
            WPos++;
            DPos = 0;
        }

        outStr[WPos] = inStr[RPos];

        RPos--;
        WPos++;
        DPos++;
    }

    ReverseString(outStr, WPos);

    outStr[WPos] = '\0';

    return outStr;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

char *FormatInteger(char *outStr, long inLong)
{
    char Long[64];
    sprintf(Long, "%d", inLong);
    return FormatiString(outStr, Long);
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
